Subject: Re: [devuan-dev] bug#816: bug#816: guix: missing dependency 'daemonize'

From: Lorenzo <[email-masked]>
Date: Sun, 24 Dec 2023 14:05:20 +0100

On Sun, 24 Dec 2023 12:41:53 +0000
Mark Hindley <[email-masked]> wrote:

> So this *is* reproducible in some Debian installations and requires
> fixing there.

A bug is already reported in Debian BTS, from
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1041359

> I am of mixed mind on doing more than that... with the debian
> defaults, it is not needed, so it seems a bit much to add it to
> Depends or even Recommends. Suggests is hardly used much, but might
> make it a little more visible than the README.Debian?
> 
> I guess I could add:
> 
>   Recommends: systemd-somethingorother | daemonize
> 
> But I think recommends with | sometimes behave a little oddly...
> 
>